// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine) 
// November 2000
//
#include <iostream>
#include <Dal.h>
#include <cassert>

int main(int argc, char* argv[])
{
  for(int k = 1; k <= argc; ++k){
    std::string name(argv[k]);
    std::cout << "Looking at " << name << std::endl;
    DataSet* set = dataSetServer->open(name, Dal::Read);
    Table* tab = set->table("RGSOFFSETS");
    assert(tab->rows() == 4);
    ColumnData* col = tab->column("TIMESORT")->data();
    int32* v = col->int32Data();
    assert(v[0] == 88992878);
    assert(v[1] == 88992878);
    assert(v[2] == 89032176);
    assert(v[3] == 89032176);
    delete col;
    dataSetServer->close(set);
  }
}
    
