// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// April 11, 2000
//
// Tests that given no input rgsoffsetcalc generates an empty
// table. This is required for the rgsevents/CAL override procedure
//
#include <Dal.h>
#include <rgsoffsetcalc.h>
#include <metatask.h>
#include <cassert>

int main() {
  const std::vector<std::string> sets(0);
  std::string name = "empty.ds";
  openParameters("rgsoffsetcalc");
  setParameter("sets", sets);
  setParameter("outset", name);
  task(rgsoffsetcalc);
  DataSet *set = dataSetServer->open(name, Dal::Read);
  assert(set->hasBlock("RGSOFFSETS"));
  assert(set->table("RGSOFFSETS")->rows() == 0);
  dataSetServer->close(set);
}
